//******************************************************************************
//  "Hello-World": Alternierender Port 1.0 als Blink-Schaltung
//  (c) 2005 M. Buccini / M. Buecker
//  vgl. fet120_1.c in slac013d.zip
//
//  Eine an P1.0 angeschlossene LED blinkt mit einer Dauer in Abhngigkeit von
//  der Anzahl an Durchlufen einer While-Schleife.
//
//                MSP430F1232
//             -----------------
//         /|\|              XIN|-
//          | |                 |
//          --|RST          XOUT|-
//            |                 |
//            |             P1.0|-->LED
//
//******************************************************************************

#include  <msp430x12x2.h>

void main(void)
{
  WDTCTL = WDTPW + WDTHOLD;                 // Watchdog Timer (WDT) anhalten; Passwort bentigt
  P1DIR |= 0x01;                            // P1.0 als Ausgang benutzen

  for (;;)                                  // Endlosschleife [ == while(1) ]
  {
    unsigned int i;

    P1OUT ^= 0x01;                          // P1.0 durch Exklusiv Oder (XOR) umschalten

    i = 50000;                              // Wartezeit durch Schleife...
    do (i--);                               // ...mit 50.000 Durchlufen
    while (i != 0);
  }
}
