//******************************************************************************
//  Watch Dog Timer: Blink-Schaltung
//  (c) 2005 M. Buccini / M. Buecker
//  vgl. fet120_wdt_01.c in slac013d.zip
//
//  Der Watchdog Timer als einfacher Timer, die Reset-Funktion wird deaktiviert.
//  Funktionsweise ansonsten wie im Beispiel mit dem Timer A.
//
//		  MSP430F1232
//             -----------------
//         /|\|              XIN|-
//          | |                 |
//          --|RST          XOUT|-
//            |                 |
//            |             P1.0|-->LED
//
//
//******************************************************************************

#include  <msp430x12x2.h>

void main(void)
{
  WDTCTL = WDT_MDLY_32;                     // Benutze WDT als Timer mit Intervall ~30ms
  IE1 |= WDTIE;                             // Erlaube WDT Interrupt
  P1DIR |= 0x01;                            // P1.0 als Ausgang benutzen

  _BIS_SR(LPM0_bits + GIE);                 // In den LPM0 eintreten (Interrupts erlauben)
}


#pragma vector=WDT_VECTOR                   // Watchdog Timer ISR
__interrupt void watchdog_timer(void)
{
  P1OUT ^= 0x01;                            // P1.0 durch XOR umschalten
}

